using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Ability3152.Domain;

namespace Topsdk.Top.Ability3152.Request;

public class TaobaoTbkThorMfrsPromotionQueryRequest : AbstractTopApiRequest
{

    /*
        查询请求对象
            */
    private TaobaoTbkThorMfrsPromotionQueryManufacturerLaunchOption? option;


    [JsonPropertyName("option")]
    public TaobaoTbkThorMfrsPromotionQueryManufacturerLaunchOption? Option
    {
        get => option;
        set => this.option = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.option != null)
        {
            requestParam.Add("option",TopUtils.ConvertStruct(this.option));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.thor.mfrs.promotion.query";
    }

}

